Skip to navigation

API · Context · Update a context document

View as Markdown

Update the content of a linked context document. Changes are applied to the underlying KnowledgeDoc, and its version is automatically incremented.

Authentication

AuthorizationApi-Key

Header authentication of the form Api-Key <token>

OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

brand_idstringRequiredformat: "uuid"
Brand kit UUID

Request

This endpoint expects an object.
namestringOptional<=200 characters
descriptionstringOptional
datamap from strings to anyOptional
Structured JSON data
contentstringOptional
Markdown content

Response

Context document updated

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error